Grails 2.44 e postgres driver odbc 9.4
20/09/2015 13:49
0
Ola Pessoal,

Estou tendo um problema para executar minha app  com o banco de dados postgres, com  Jdk.17 e o driver 9.4-1203.jdbc41, está gerando o erro abaixo. Editei o comando runtime colocando o org.postgresql:postgresql:9.3-1101-jdbc41  para 'org.postgresql:postgresql:9.4-1203.jdbc41 (compativel com jdk .17). Coloquei o .jar do driver odbc na diretorio lib do meu projeto.

Alguem poderia me dar uma ajuda?

ERROR pool.ConnectionPool  - Unable to create initial connections of pool.
Message: org.Postgresql.Driver



Obrigado
 
Tags: Grails 2.44 e postgres driver odbc 9.4


0
Olá Wilker,
  Uso Grails com postgres 9.4 e meu dataSource está com a seguinte configuração:
driverClassName = "org.postgresql.Driver"      
dialect = "org.hibernate.dialect.PostgreSQLDialect"

Já tentou esta configuração?
21/09/2015 12:38


0
Sim tentei.

Quando voce baixou o driver odbc 9.4 do postgree .jar  colocou em qual diretório?

No meu caso  estou colocando na pasta lib do meu projeto.
22/09/2015 13:06


0
Wilker,
  Não baixei nenhum jar, o próprio Grails cuida disso, basta você definir o conector no BuildConfig.  Dê uma olhada no seu BuildConfig se você tem alguma dependência do conector jdbc do postgres definido, se não tiver, basta adicionar em "dependencies" a linha abaixo:
runtime 'postgresql:postgresql:9.0-801.jdbc4'


abs.
22/09/2015 13:26


0
Parece que a versão mais recente é a 9.4-1203-jdbc42 essa eu nunca utilizei, não sei como está o funcionamento dela.
22/09/2015 13:30



Ainda não faz parte da comunidade???

Para se registrar, clique aqui.


Aprenda Groovy e Grails com a Formação itexto!

Newsletter Semana Groovy

Assinar

Envie seu link!


Livro de Grails


/dev/All

Os melhores blogs de TI (e em português) em um único lugar!

 
Creative Commons
RSS Grails Brasil é mantido por itexto Consultoria.
Em caso de problemas contacte Henrique Lobo Weissmann (Kico) por e-mail: kico@itexto.com.br
Todo o conteúdo presente neste site adota o Creative Commons como licença padrão.
Ver: 4.14.0
itexto